Skip to main content
POST
/
v2
/
admin
/
reporting
/
messages
/
stats
Admin SMS Stats
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/messages/stats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": 1,
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "tenantId": 123,
  "results": [
    {
      "inbound": 123,
      "outbound": 123,
      "total": 123,
      "distribution": "<string>",
      "peerName": "<string>",
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
number
required

Tenant ID

Required range: x > 0
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

distribution

Time distribution grouping (daily, weekly, monthly, or totals)

Available options:
weekly
users

Filter by user peer names, or 'ALL' for all users

groups
object[]

Filter by groups (queue, huntlist, or branch)

phoneNumber
string[]

Filter by phone numbers

direction

Message direction filter (inbound or outbound)

Available options:
inbound

Response

SMS statistics or export acknowledgement

SMS statistics

tenantId
number
required

Tenant ID

results
object[]
required

SMS statistics results